# HG changeset patch
# User Eric Allen <eric@hackerengineer.net>
# Date 1381093411 25200
#      Sun Oct 06 14:03:31 2013 -0700
# Node ID 2f6942fc654fbff89d559a3a9e5c684f2bee100f
# Parent  3d21fc7421efaa79fd274d6b02466fe7da4c03cb
[ic-t7h] Fix memory indexes

After working a bit more with CHIRP, I realized I could actually set the memory range to be 1-60, as the radio actually reports.

diff -r 3d21fc7421ef -r 2f6942fc654f chirp/ict7h.py
--- a/chirp/ict7h.py	Sun Oct 06 13:52:33 2013 -0700
+++ b/chirp/ict7h.py	Sun Oct 06 14:03:31 2013 -0700
@@ -57,7 +57,7 @@
 
     def get_features(self):
         rf = chirp_common.RadioFeatures()
-        rf.memory_bounds = (0, 59)
+        rf.memory_bounds = (1, 60)
         rf.valid_modes = list(MODES)
         rf.valid_tmodes = list(TMODES)
         rf.valid_duplexes = list(DUPLEX)
@@ -79,8 +79,8 @@
         return repr(self._memobj.memory[number])
 
     def get_memory(self, number):
-        _mem = self._memobj.memory[number]
-        _flag = self._memobj.flags[number]
+        _mem = self._memobj.memory[number-1]
+        _flag = self._memobj.flags[number-1]
 
         mem = chirp_common.Memory()
         mem.number = number
@@ -103,8 +103,8 @@
         return mem
 
     def set_memory(self, mem):
-        _mem = self._memobj.memory[mem.number]
-        _flag = self._memobj.flags[mem.number]
+        _mem = self._memobj.memory[mem.number-1]
+        _flag = self._memobj.flags[mem.number-1]
 
         _mem.freq = int(mem.freq / 100000)
         topfreq = int(mem.freq / 100000) * 100000
